<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<form class="detail-form" *ngIf="sandbox.distributionGroupDetailsFormState$ | async as formState" [ngrxFormState]="formState">
  <div class="title-btn">
    <span class="formTitle">{{ 'DistributionGroup.FormTitle' | translate }}</span>
    <button type="button" class="btn btn-success" (click)="sandbox.saveDistributionGroup()">
      {{ 'SaveBtn' | translate }}
    </button>
  </div>

  <app-distribution-group-allowed [allowedGroups]="formState.value.allowedGroups"> </app-distribution-group-allowed>

  <!-- name (title) -->
  <div class="form-group row justify-content-between">
    <label for="distributionGroupName" class="col-sm-2 col-form-label">{{ 'DistributionGroup.Name' | translate }}</label>
    <div class="col-sm-10">
      <input
        required
        type="text"
        maxlength="255"
        class="form-control"
        id="distributionGroupName"
        [ngrxFormControlState]="(formState?.controls)['name']"
        autocomplete="off"
      />
    </div>
  </div>
  <!-- Vorlagenauswahl (Button Group) -->
  <div class="form-group row justify-content-between template">
    <label for="emailTemplate" class="col-sm-2 col-form-label">{{ 'DistributionGroup.DistributionTemplate' | translate }}</label>
    <div class="col-sm-10">
      <div class="btn-group">
        <button
          class="btn btn-primary non-outline action-button"
          (click)="changeTemplate(DistributionPublicationStatusEnum.PUBLISH, sandbox.selectedTextTypeForTemplate)"
          [class.active]="sandbox.selectedPublicationStatusForTemplate === DistributionPublicationStatusEnum.PUBLISH"
        >
          {{ 'DistributionGroup.DistributionTemplate_Publish' | translate }}
        </button>
        <button
          class="btn btn-primary non-outline action-button"
          (click)="changeTemplate(DistributionPublicationStatusEnum.UPDATE, sandbox.selectedTextTypeForTemplate)"
          [class.active]="sandbox.selectedPublicationStatusForTemplate === DistributionPublicationStatusEnum.UPDATE"
        >
          {{ 'DistributionGroup.DistributionTemplate_Update' | translate }}
        </button>
        <button
          class="btn btn-primary non-outline action-button"
          (click)="changeTemplate(DistributionPublicationStatusEnum.COMPLETE, sandbox.selectedTextTypeForTemplate)"
          [class.active]="sandbox.selectedPublicationStatusForTemplate === DistributionPublicationStatusEnum.COMPLETE"
        >
          {{ 'DistributionGroup.DistributionTemplate_Complete' | translate }}
        </button>
      </div>
    </div>
  </div>
  <!-- Text Typ (Button Group) -->
  <div class="form-group row justify-content-between template">
    <label for="emailTemplate" class="col-sm-2 col-form-label">{{ 'DistributionGroup.TextType' | translate }}</label>
    <div class="col-sm-10">
      <div class="btn-group">
        <button
          class="btn btn-primary non-outline action-button"
          (click)="changeTemplate(sandbox.selectedPublicationStatusForTemplate, DistributionsGroupTextTypeEnum.Long)"
          [class.active]="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Long"
        >
          {{ 'DistributionGroup.TextTypeLong' | translate }}
        </button>
        <button
          class="btn btn-primary non-outline action-button"
          (click)="changeTemplate(sandbox.selectedPublicationStatusForTemplate, DistributionsGroupTextTypeEnum.Short)"
          [class.active]="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Short"
        >
          {{ 'DistributionGroup.TextTypeShort' | translate }}
        </button>
      </div>
    </div>
  </div>
  <!-- Betreff -->
  <div *ngIf="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Long" class="form-group row justify-content-between">
    <label for="emailSubject" class="col-sm-2 col-form-label">{{ 'DistributionGroup.Subject' | translate }}</label>
    <div class="col-sm-10">
      <input
        required
        type="text"
        maxlength="255"
        class="form-control"
        id="emailSubject"
        [ngrxFormControlState]="(formState?.controls)['emailSubjectView']"
        autocomplete="off"
      />
    </div>
  </div>
  <div *ngIf="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Short" class="form-group row justify-content-between">
    <label for="emailSubject" class="col-sm-2 col-form-label">{{ 'DistributionGroup.Subject' | translate }}</label>
    <div class="col-sm-10">
      <input
        required
        type="text"
        maxlength="255"
        class="form-control"
        id="emailSubject"
        [ngrxFormControlState]="(formState?.controls)['emailSubjectViewShort']"
        autocomplete="off"
      />
    </div>
  </div>
  <!-- text -->
  <div *ngIf="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Long" class="form-group row justify-content-between distribution-text">
    <label for="distributionText" class="col-sm-2 col-form-label">{{ 'DistributionGroup.MailText' | translate }}</label>
    <div class="col-sm-10">
      <textarea rows="14" class="form-control" id="distributionText" [ngrxFormControlState]="(formState?.controls)['distributionTextView']" autocomplete="off">
      </textarea>
    </div>
  </div>
  <div *ngIf="sandbox.selectedTextTypeForTemplate === DistributionsGroupTextTypeEnum.Short" class="form-group row justify-content-between distribution-text">
    <label for="distributionText" class="col-sm-2 col-form-label">{{ 'DistributionGroup.MailText' | translate }}</label>
    <div class="col-sm-10">
      <textarea
        rows="14"
        class="form-control"
        id="distributionText"
        [ngrxFormControlState]="(formState?.controls)['distributionTextViewShort']"
        autocomplete="off"
      >
      </textarea>
    </div>
  </div>
  <!-- placeholder -->
  <div class="row justify-content-between">
    <label class="col-sm-2 col-form-label"></label>
    <label class="col-sm-10 placeholder-label">{{ 'DistributionGroup.TextPlaceholder' | translate }}</label>
  </div>
  <div class="row justify-content-between">
    <label class="col-sm-2 col-form-label"></label>
    <label class="col-sm-10 placeholder-label">
      <div class="form-group row container">
        <div class="placeholder" *ngFor="let item of sandbox.distributionGroupTextPlaceholder | keyvalue: valueComperator">
          {{ item.value }}
        </div>
      </div>
    </label>
  </div>
</form>
